/********************************************************************
 *	ciwebui.h -- Web UI interfaces
 *
 *	Copyright(C) 1996, Adobe Systems Inc. All rights reserved.
 *
 * $Revision:   1.5  $
 *
 *
 *
 **********************************************************************/
#ifndef __CIWEBUI_H
#define __CIWEBUI_H

#include "pmtypes.h"

// The WM_LAUNCH_BROWSER message is defined for launching a browser and activating it properly
//	from a plug-in. This message is a PRIVATE message for PageMaker from plug-ins
#if defined (_WINDOWS)
#define WM_LAUNCH_BROWSER (WM_USER+3)
#endif

class CIWebBrowse : public CIInterface {
public:

#if defined (_WINDOWS)
virtual char* GetBrowserName() = 0;
#endif
#if defined (MACINTOSH)
virtual RC GetBrowserName(FSSpec* anFSSpec) = 0;
#endif
virtual PMBool ChooseBrowser(unsigned long hWnd) = 0;
virtual void OpenFileWithBrowser(char* docToLaunch, unsigned long hWnd, void* anFSSpec, char* browserToLaunch, void* aBrowserFSSpec) = 0;
#if defined (_WINDOWS)
virtual char* ChooseFolder(unsigned long hWnd, char* sTitle) = 0;
#endif
#if defined (MACINTOSH)
virtual char* ChooseFolder(FSSpec* anFSSpec) = 0;
#endif 
virtual void FlushBrowserPathToPref(void) = 0;
};

typedef struct PMOnlinePrefRec
{
	PMBool 			showHyperlinks;			// TRUE if hyperlinks should be shown/
	PMBool 			focusAnchors;			// TRUE if anchors should be focused
	unsigned short		proxyPort;				// proxy port 
	char			proxy[256];				// proxy
	char			noProxy[256];			// no proxy
#if defined (_WINDOWS)
	char		    downloadImgDir[260];    // location to download image
	char		   browserFile[260];    	// location to web browser
#endif
#if defined (MACINTOSH)
	FSSpec			downloadImgDir;			// location to download image
	FSSpec			browserFile;			// location to web browser
#endif	
	PMBool		fShowedCopyRightWarning; // flag if we did show the user the copy right warning
										// before downloading contents
	PMBool 		fGetBrowserPreference;  // flag if PM65 looked for browser preference
} PMOnlinePrefRec, *PMOnlinePrefRecPtr;

class CIOnlinePreference : public CIInterface
{
public:
	virtual PMBool GetOnlinePreference(PMOnlinePrefRecPtr pPrefRec)=0;
	virtual PMBool SetOnlinePreference(PMOnlinePrefRecPtr pPrefRec)=0;
};

#endif  //__CIWEBUI_H

